/*
 *  dbgcom.C from ObjectProDSP 0.1
 *  Copyright (C) 1994, Mountain Math Software, All rights reserved.
 *  Licensed for free use and distribution under version 2 of the Gnu General
 *  Public License. Please see file COPYING for details and restrictions.
 *  
 *  ObjectProDSP is a trademark of Mountain Math Software.
 */
#include <fstream.h>
#include <stdlib.h>
#include "cgidbg.h"
#include "portable.h"


ostream * LogOutPtr = 0 ;

ostream& CheckLogOutDefined()
{
	if (!LogOutPtr) {
		LogOutPtr = new ofstream(DebugOutFile);
		LogOutPtr->setf(ios::unitbuf);
	}
	return *LogOutPtr ;
}
		

